Skip to content

Set grant

POST
/auth/grants
curl --request POST \
--url https://sylve.lan:8181/api/auth/grants \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "id": 1, "path": "example", "propagate": true, "role": "example", "subject": "example", "subjectType": "example" }'

Give a user (“name@pam” or “name@sylve”) or a group a role on a path, or change whether it propagates

Grant

Media typeapplication/json
object
id
integer
path
string
propagate
boolean
role
string
subject
string
subjectType
string
Examplegenerated
{
"id": 1,
"path": "example",
"propagate": true,
"role": "example",
"subject": "example",
"subjectType": "example"
}

Grant Set

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Service Unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}